#include <bits/stdc++.h>
#define endl '\n'
using namespace std;

int main(){

ios_base::sync_with_stdio(0);
cin.tie(0);


int n,k;
cin >> n >> k;
vector<int> v1;
vector<int> v(2*n+1,0);
for(int i=0 ; i < n ;i++){
    int p;
    cin >> p;
    v[p+n]++;
}
for(int i=0 ; i < 2*n+1 ;i++){
    if(v[i] >= k)
        v1.push_back(i-n);
}
cout << v1.size() << endl;
for(int i=0; i < v1.size(); i++)
{
    cout << v1[i] << " ";
}





return 0;
}